/********************************************************************
 * @file    settings.h
 * @brief   Settings for user-space hiccups implementation
 * @author  $LastChangedBy: rcraven $ (hiccups@cmand.org)
 * @version $LastChangedRevision: 540 $
 * @date    $Date: 2014-07-28 22:25:21 -0700 (Mon, 28 Jul 2014) $
 *
 * $Id: settings.h 540 2014-07-29 05:25:21Z rcraven $
 ********************************************************************/

#ifndef _HICCUPS_SETTINGS_
#define _HICCUPS_SETTINGS_

/* client settings */
#define DEF_SRC_PORT        5678   /* random high port */
#define DEF_TARG_PORT       80     /* http is usually open */
#define DEF_TARG_ADDR       "hiccups.cmand.org"
#define DEF_APP_MSG         "Hello world!"
#define DEF_MSS_VAL         1460
#define NUM_SYN_RETRIES     3
#define DEF_VERBOSITY       OFF

#define CMAND_IP            "18.26.0.230"   /* IPv4 address of the webserver */
#define CMAND_URL           "www.cmand.org" /* DNS name of the webserver */
#define CMAND_TMO           500000          /* in usec == half a second timeout */
#define CMAND_PREFIX        "hiccups/"      /* prepended to all file paths below */

/* -- locations of files on the webserver -- */
#define CMAND_PATH_TIME     "hctime.php"
#define CMAND_PATH_VERSION  "hc_version.txt"
#define CMAND_PATH_SERVLIST "hc_servers.txt"
#define CMAND_PATH_REPORT   "hcrecord.php"

/* server settings */
#define DEF_SERV_PORT       9999
#define MAGIC_TTL           247             /* we send all our pkts with this initial TTL */
                                            /* keep the MAGIC_TTL high for the PlanetLab hack */
#define FW1_MAGICTTL        "iptables -A OUTPUT -m ttl --ttl-eq=%d -p tcp --sport %d -j ACCEPT"
#define FW2_ELSEDROP        "iptables -A OUTPUT -p tcp --sport %d -j DROP"

#endif
